/* Main navigation */

.top-menu {
    position: fixed;
    top: 0px;
    right: 0px;
    z-index: 1000;
}

.top-menu ul.menu {
    float: right;
    width: 600px;
}

.top-menu ul.menu a {
    text-decoration: none;
    font-size: 15px;
    text-align: center;
    display: block;
    font-weight: 600;
    text-transform: uppercase;
    color: #F26522;
}

.top-menu ul.menu,
.top-menu ul.menu ul,
.top-menu ul.menu li {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

.top-menu ul.menu li {
    float: left;
    width: 120px;
}

.top-menu ul.menu li a {
    color: #ffffff;
    padding: 8px 5px 5px 5px;
    padding-top: 12px;
    height: 105px;
    line-height: 19px;
}

.top-menu ul.menu li:hover { background-color: rgba(0,0,0,0.0) }
.home .top-menu ul.menu li:hover { background-color: rgba(0,0,0,0.6) }
.top-menu ul.menu li:hover li { background-color: rgba(0,0,0,0.6) }

.top-menu ul.menu li:hover a {
    color: #F26522;
    background-color: transparent !important;
}

.top-menu ul.menu li:hover li a { color: #fff; }

.top-menu ul.menu li:hover .menu-title:before {
    background-color: #F26522;
    border: 1px #F26522 inset;
    color: #fff;
}

.top-menu ul.menu li:hover .menu-title:before {
    background-color: #F26522;
    border: 1px #F26522 inset;
    color: #fff;
}

.top-menu ul.sub-menu {
    display: none;
    position: absolute;
    font-size: 8pt;
    left: 0;
    top: 104px;
    width: 100%;

}

.top-menu ul.sub-menu li {
    float: none;
    width: auto;
}

.top-menu ul.sub-menu li:first-child { margin-top: 1px; }

.top-menu ul.menu li:hover ul.sub-menu { display: block; }

.top-menu ul.sub-menu li {
    width: 600px;
    margin: 0 8px 0px 0px;
}

.top-menu ul.sub-menu li a {
    margin: 0px;
    text-align: left;
    text-transform: none;
    border: none;
    padding: 8px 0px 8px 52px;
    margin: 0 15px;
    font-weight: 500;
    display: block;
    height: auto;
    background-color: transparent !important;
    border-bottom: 1px solid rgba(255,255,255,0.2);
}

.top-menu ul.sub-menu li a:hover { color: #F26522 !important; }

.top-menu ul.menu li:hover ul.sub-menu { max-height: 2000px;}

.top-menu ul.sub-menu li:hover .cell:before {
    background-color: #F26522;
    border: 1px #F26522 inset;
    color: #fff;
}


/* Main navigation icons */

.level-00 .menu-title:before,
.level-01 .menu-title:before,
.level-02 .menu-title:before,
.level-03 .menu-title:before,
.level-04 .menu-title:before,
.level-06 .menu-title:before,
.level-05 .menu-title:before {
    width: 40px;
    height: 40px;
    padding-right: 0;
    border: 1px solid #fff;
    font-size: 26px;
    text-align: center;
    margin: 0 auto 4px;
    display: block;
    font-family: FontAwesome;
    font-style: normal;
    font-weight: normal;
    line-height: 40px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-shadow: none;
    color: #fff;
}

.level-00 li .cell:before,
.level-01 li .cell:before,
.level-02 li .cell:before,
.level-03 li .cell:before,
.level-06 li .cell:before,
.level-04 li .cell:before,
.level-05 li .cell:before {
    width: 26px;
    height: 26px;
    padding-right: 0;
    border: 1px solid #fff;
    font-size: 18px;
    text-align: center;
    margin: 0px 10px 0px -38px;
    display: inline-block;
    font-family: FontAwesome;
    font-style: normal;
    font-weight: normal;
    line-height: 26px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-shadow: none;
}

.level-00 .cell .menu-title:before {content: "\f192"; font-size: 24px; }
.level-01 .cell .menu-title:before {content: "\f105"; font-size: 32px; }
.level-02 .cell .menu-title:before {content: "\f0f7"; font-size: 21px; }
.level-03 .cell .menu-title:before {content: "\f0e5"; }
.level-04 .cell .menu-title:before {content: "\f095"; }
.level-06 .cell .menu-title:before {content: "\f185"; }
.level-05 .cell .menu-title:before {content: "\f003"; font-size: 24px; }
.sublevel-011 .cell:before {content: "\f128";}
.sublevel-012 .cell:before {content: "\f084";}
.sublevel-013 .cell:before {content: "\f0b1";}
.sublevel-014 .cell:before {content: "\f0eb";}
.sublevel-015 .cell:before {content: "\f0e3";}

.sublevel-020 .cell:before {content: "\f009"; font-size: 16px; }
.sublevel-021 .cell:before {content: "\f0f7";}
.sublevel-022 .cell:before {content: "\f015";}

.sublevel-030  .cell:before {content: "ST"; }
.sublevel-040  .cell:before {content: "ZG"; }

.sublevel-051 .cell:before {content: "\f015";}
.sublevel-052 .cell:before {content: "\f084";}
.sublevel-053 .cell:before {content: "\f0b1";}
.sublevel-054 .cell:before {content: "\f0eb";}
.sublevel-055 .cell:before {content: "\f0e3";}

ul.sub-menu li.sublevel-011 a,
ul.sub-menu li.sublevel-021 a {
    padding-top: 10px !important;
}

ul.sub-menu li.sublevel-015 a,
ul.sub-menu li.sublevel-022 a {
    padding-bottom: 10px !important;
}


/* Mobile Device Menu */

.mobile-top-menu { display: none; }
.mobile-menu { display: none; }
.top-menu.language { display: none; }

@media only screen and (max-width: 870px),
screen and (device-width: 360px) and (device-height: 640px) and (-webkit-device-pixel-ratio: 3) {
    
    .mobile-menu {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 1000;
        width: 100%;
        height: 70px;
        background-color: rgba(0,0,0,0.3);
    }

    .mobile-menu .toggle {
        display: block;
        position: absolute;
        top: 12px;
        left: 12px;        
        width: 32px;
        height: 32px;
        padding-right: 0;
        border: 1px solid #fff;
        font-size: 15px;
        text-align: center;
        margin: 0 auto 4px;
        display: block;
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        line-height: 32px;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-shadow: none;
        color: #fff !important;
    }
    
    .mobile-menu .toggle.language {
        left: auto;
        right: 12px;
    }
    
    .mobile-menu .toggle.language a {
        color: #fff !important;
        text-transform: uppercase;
        font-weight: 700;
        text-decoration: none;
    }
    
    .mobile-menu .toggle.language a .lang-code {
        position: relative;
        top: -1px;
    }

    .mobile-menu .toggle.active {
    }

    .mobile-menu .toggle a i {
        color: #fff !important;
    }

    .mobile-menu .toggle:hover {
        color: #fff !important;
        background-color: #F26522;
    }

    .mobile-menu .toggle a:hover i {
        color: #fff !important;
    }
    
    .mobile-menu .logo {
        position: absolute;
        top: 0;
        left: 46px;
        width: auto;
        height: 70px;
    }
    
    .mobile-menu .logo a {
        display: block;
        width: auto;
        height: 100%;
        padding: 12px;
    }
    
    .mobile-menu .logo img {
        height: 100%;
    }
    
    /*
    .logo {
    position: absolute;
    top: 0px;
    left: 0px;
    color: #fff;
    display: block;
    width: 350px;
    height: 90px;
    overflow: hidden;
}

.logo a {
    display: block;
    width: 304px;
    height: 96px;
    padding: 12px;
    overflow: hidden;
}

.logo a:hover {
    background-color: #F26522;
}

.logo span {
    display: block !important;
    overflow: hidden;
    float: left;
}
    */
    
    .top-menu {
        box-sizing: border-box;
        top: 0;
        bottom: 0;
        max-width: 300px;
        height: auto;
        overflow: auto;
        z-index: 999;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 00px;
        -webkit-transition: all 400ms ease-in-out;
        -moz-transition: all 400ms ease-in-out;
        -ms-transition: all 400ms ease-in-out;
        -o-transition: all 400ms ease-in-out;
        transition: all 400ms ease-in-out;
    }

    .top-menu.active {
        display: block;
        top: 0;
        background-color: rgba(0,0,0,.75);
        -webkit-transition: all 400ms ease-in-out;
        -moz-transition: all 400ms ease-in-out;
        -ms-transition: all 400ms ease-in-out;
        -o-transition: all 400ms ease-in-out;
        transition: all 400ms ease-in-out;
    }
    
    
    .top-menu.main-menu {
        left: -110%;
    }
    
    .top-menu.active.main-menu {
        top: 70px;
        left: 0;
    }
    
    .top-menu.language {
        right: -110%;
    }
    
    .top-menu.active.language {
        right: 0;
        width: 58px;
    }
    
    .top-menu.language ul.menu li a {
        text-align: center;
    }

    .top-menu ul.menu {
        width: auto;
        position: absolute;
        top: 0px;
        background-color: rgba(0,0,0,0);
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10000;
        overflow: auto;
        box-sizing: border-box;
        padding-bottom: 10px;
    }

    .top-menu ul.menu a {
        font-size: 16px;
    }

    .top-menu ul.menu li {
        float: none;
        width: 100%;
        padding: 0 10px 0;
        margin: 0;
        box-sizing: border-box;
        border-bottom: 1px solid rgba(255,255,255,0.2);
    }

    .top-menu ul.menu li a {
        margin: 0px 0px 4px;
        padding-top: 8px;
        padding-left: 0;
        padding-left: 0;
        padding-right: 0;
        height: auto;
        width: 100%;
        text-align: left;
    }

    .top-menu ul.sub-menu {
        display: block;
        position: static;
        font-size: 16px;
        left: auto;
        right: auto;
        top: auto;
        width: 100%;       
        max-height: 0;
        overflow: hidden;        
        -webkit-transition: all ease 400ms;
        -moz-transition: all ease 400ms;
        -ms-transition: all ease 400ms;
        -o-transition: all ease 400ms;
        transition: all ease 400ms;
    }
    
    .top-menu ul.sub-menu.active {
        max-height: 2000px;
        overflow: visible;
    }
    
    .top-menu ul.sub-menu li { float: none; }

    .top-menu ul.sub-menu li {
        width: 100%;
        margin: 0;
        padding: 0 4px;
        border-top: 1px solid rgba(255,255,255,0.2);
        border-bottom: 0px;
    }

    .top-menu ul.sub-menu li a {
        margin: 0px;
        text-align: left;
        text-transform: none;
        border: none;
        padding: 8px 0px 8px 0px;
        margin: 0;
        font-weight: 500;
        display: block;
        height: auto;
        background-color: transparent !important;
    }
    
    .level-00 .menu-title:before,
    .level-01 .menu-title:before,
    .level-02 .menu-title:before,
    .level-03 .menu-title:before,
    .level-04 .menu-title:before,
    .level-06 .menu-title:before,
    .level-05 .menu-title:before {
        width: 30px;
        height: 30px;
        padding-right: 0;
        border: 1px solid #fff;
        font-size: 26px;
        text-align: center;
        margin: 0px 10px 0px 0;
        display: inline-block;
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        line-height: 30px;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-shadow: none;
    }

    .level-01 li .cell:before,
    .level-02 li .cell:before,
    .level-03 li .cell:before,
    .level-04 li .cell:before,
    .level-06 li .cell:before,
    .level-05 li .cell:before {
        width: 22px;
        height: 22px;
        padding-right: 0;
        border: 1px solid #fff;
        font-size: 15px;
        text-align: center;
        margin: 0px 10px 0px 0px;
        display: inline-block;
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        line-height: 22px;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-shadow: none;
    }

    .level-03  .cell .menu-title:before,
    .level-04  .cell .menu-title:before {
        font-size: 15px;
    }


    .level-06  .cell .menu-title:before {content: "\f185"; font-size: 15px; }
    .level-01  .cell .menu-title:before {content: "\f105"; font-size: 15px; }
    .level-02  .cell .menu-title:before {content: "\f0f7"; font-size: 15px; }
    .level-03  .cell .menu-title:before {content: "\f0e5"; font-size: 15px; }
    .level-04  .cell .menu-title:before {content: "\f095"; font-size: 15px; }
    .level-05  .cell .menu-title:before {content: "\f003"; font-size: 15px; }
    .sublevel-011 .cell:before {content: "\f128";}
    .sublevel-012 .cell:before {content: "\f084";}
    .sublevel-013 .cell:before {content: "\f0b1";}
    .sublevel-014 .cell:before {content: "\f0eb";}
    .sublevel-015 .cell:before {content: "\f0e3";}
    .sublevel-020 .cell:before {content: "\f0f7";}
    .sublevel-021 .cell:before {content: "\f0f7";}
    .sublevel-022 .cell:before {content: "\f015";}

    .sublevel-051 .cell:before {content: "\f015";}
    .sublevel-052 .cell:before {content: "\f084";}
    .sublevel-053 .cell:before {content: "\f0b1";}
    .sublevel-054 .cell:before {content: "\f0eb";}
    .sublevel-055 .cell:before {content: "\f0e3";}

    ul.sub-menu li.sublevel-011 a,
    ul.sub-menu li.sublevel-020 a {
        padding-top: 10px !important;
    }

    ul.sub-menu li.sublevel-015 a,
    ul.sub-menu li.sublevel-022 a {
        padding-bottom: 10px !important;
    }

    .top-menu ul.menu li:hover ul.sub-menu { display: none; }
    .top-menu ul.menu li:hover:hover ul.sub-menu.active { display: block !important; }
    .top-menu ul.menu li ul.sub-menu.active { display: block !important; }

    .top-menu ul.menu li:hover li { background-color: transparent;}

}